<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <title>Home</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>

<div class="container">
    <header class="d-flex flex-wrap justify-content-center py-3 mb-4 border-bottom">
        <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
            <span class="fs-4">Mediscreen</span>
        </a>

        <ul class="nav nav-pills">
            <li class="nav-item"><a href="/" class="nav-link active" aria-current="page">Home</a></li>
            <li class="nav-item"><a href="/patients/" class="nav-link">Patients</a></li>
        </ul>
    </header>
</div>

<div class="container">
    <div class="row">
        <h2 th:text="${'Add New Note for the Patient ' + note.patId}"></h2>
    </div>
    <p class="alert alert-danger" th:if="${!#strings.isEmpty(ErrorPatientExistentMessage)}" th:text="${ErrorPatientExistentMessage}"></p>

    <div class="row">
        <form action="#" th:action="@{/patHistory/add}"  method="post" class="form-horizontal" style="width: 100%">
            <input th:field="*{note.patId}" style="display:none"/>

            <input th:if="${!#strings.isEmpty(note.id)}" th:field="*{note.id}" style="display:none"/>
            <div class="form-group">
                <label for="note">Write here notes for patient</label>
                <textarea class="form-control" th:field="*{note.e}" id="note" rows="3"></textarea>
                <p class="text-danger" th:if="${#fields.hasErrors('note.e')}" th:errors="*{note.e}"></p>
            </div>

            <div class="form-group">
                <div class="col-sm-12">
                    <a class="btn btn-danger btn-sm" href="/patients">Cancel</a>
                    <input class="btn btn-primary btn-sm" type="submit" value="Add note">
                </div>
            </div>

        </form>
    </div>

</div>
</body>
</html>